Subject: Re: 2.6.9-rc1+bk: assertion tcp_get_pcount failed at net/ipv4/tcp_input.c

From: Nivedita Singhvi <[email-masked]>
Date: Thu, 09 Sep 2004 23:39:57 -0700

David S. Miller wrote:

> Herbert did you see my division fix I made today for
> tso_factor calculation?  I was dividing by the TSO mss
> instead of the normal one :-)

Dave, I'm just catching up with the most recent
kernel (from 2.6.8.1 and a hiatus), and I believe
the fixes you refer to as well as the change in
tcp_init_cwnd (tso_factor etc) make TSO consistent
with the standard now.

That correct? (And thanks, much appreciated, I was
about to fiddle with the same stuff :)).

thanks,
Nivedita